%define udev_scriptdir /lib/udev

Name:           xcm
Version:        0.4.2
Release:        1%{?dist}
Summary:        X Color Management tools

Group:          System Environment/Base
License:        MIT
URL:            http://www.oyranos.org
Source0:        http://download.sourceforge.net/oyranos/Xcm/xcm-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libXcm-devel >= 0.4.2
BuildRequires:  oyranos-devel >= 0.1.10
BuildRequires:  libXfixes-devel
BuildRequires:  libXmu-devel
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  xorg-x11-xtrans-devel

Requires:  oyranos > 0.1.10


%description
The Xcm tools are color management helpers for Xorg.
A EDID parser and a color management events observer are included.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{udev_scriptdir}/rules.d/
make install-main DESTDIR=$RPM_BUILD_ROOT

#Remove pre-installed doc
rm -rf $RPM_BUILD_ROOT%{_docdir}/xcm


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/xcmevents
%{_bindir}/xcmedid
%{_bindir}/xcmddc
%{udev_scriptdir}/rules.d/90-xcm-i2c.rules
%{_mandir}/man1/*.1.*



%changelog
* Thu Sep 08 2011 Nicolas Chauvet <kwizart@gmail.com> - 0.4.2-1
- Update to 0.4.2

* Tue Jul 26 2011 Nicolas Chauvet <kwizart@gmail.com> - 0.4.1-1
- Update to 0.4.1

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 07 2011 Nicolas Chauvet <kwizart@gmail.com> - 0.4.0-1
- Update to 0.4.0

* Wed Dec 15 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.3.0-2
- Add Requires oyranos

* Sun Nov 07 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.3.0-1
- Rewrite for Fedora

* Thu Oct 07 2010 Kai-Uwe Behrmann
- install EDID parser tool
- install xcmsevents tool
